#!/bin/sh
# Builds the docs for this repo. Open "target/docs/doc/README.html" in a browser to view them.
# NOTE: This script must be run from the "./doc" subdirectory of the repo.
set -e

RUSTDOCFLAGS="--index-page $PWD/../README.md -Zunstable-options --markdown-css /fuckface.css --markdown-no-toc"\
  cargo +nightly doc
cd ..
cp -r target/doc website/static/rustdoc
cp doc/rust.css website/static/rustdoc